{% load static %}
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    {% block extrameta %}
    {% endblock %}
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script type="text/javascript" src="{% static 'virtualcontests/select2.js' %}"></script>
    <script src="//fast.wistia.net/labs/fresh-url/v1.js" async></script>
    <script type="text/javascript" async
      src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/latest.js?config=TeX-MML-AM_CHTML">
    </script>
    <link rel="stylesheet" type="text/css" href="{% static 'virtualcontests/main.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'virtualcontests/checkbox.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'virtualcontests/select2.css' %}">

    {% if title %}
        <title>{{ title }}</title>
    {% else %}
        <title>Virtual Contests</title>
    {% endif %}
</head>
<body>
    <header class="site-header">
        <nav class="navbar navbar-expand-md navbar-dark bg-steel fixed-top">
            <div class="container">
                <a class="navbar-brand mr-4" href="{% url 'virtualcontest-dashboard' %}">Virutal Contest Creator</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarToggle" aria-controls="navbarToggle" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarToggle">
                    <div class="navbar-nav mr-auto">
                        {% if user.is_authenticated %}
                            <a class="nav-item nav-link" href="{% url 'virtualcontest-dashboard' %}">Dashboard</a>
                        {% endif %}
                    </div>
                <!-- Navbar Right Side -->
                    <div class="navbar-nav">
                        {% if user.is_authenticated %}
                            <a class="nav-item nav-link">{{ user.get_username }}</a>
                            <a class="nav-item nav-link" href="{% url 'logout' %}">Logout</a>
                        {% else %}
                            <a class="nav-item nav-link" href="/login">Login</a>
                        {% endif %}
                    </div>
                </div>
            </div>
        </nav>
    </header>

    <main role="main" class="container">
        <div class="row">
            <div class="col-md-12">
            {% if messages %}
                {% for message in messages %}
                    {% if message.tags == 'error' %}
                        <div class="alert alert-danger">
                    {% else %}
                        <div class="alert alert-{{ message.tags }}">
                    {% endif %}
                        {{ message }}
                    </div>
                {% endfor %}
            {% endif %}
            {% block virtualcontestlink %} {% endblock %}
            {% block content %}{% endblock %}
            </div>
        </div>
    </main>

    {% block ownscripts %}
    {% endblock %}
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->

    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>

</body>
<!-- <script src="{% static 'virtualcontests/myScript.js' %}"></script>  -->
</html>
